package org.chenyang.http.message;

import org.chenyang.http.HeaderElement;
import org.chenyang.http.NameValuePair;
import org.chenyang.http.util.CharArrayBuffer;

public interface HeaderValueFormatter {
   CharArrayBuffer formatElements(CharArrayBuffer var1, HeaderElement[] var2, boolean var3);

   CharArrayBuffer formatHeaderElement(CharArrayBuffer var1, HeaderElement var2, boolean var3);

   CharArrayBuffer formatParameters(CharArrayBuffer var1, NameValuePair[] var2, boolean var3);

   CharArrayBuffer formatNameValuePair(CharArrayBuffer var1, NameValuePair var2, boolean var3);
}
